# LSB Test Execution Framework
# Xpdf test module
#
# Copyright (C) 2007 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF with some parts
# derived from lsb-autotest written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

package Xpdf_test;
use strict;

use Common;
use Packages;

require Tests::Test_common;
@Xpdf_test::ISA = qw(Test_common);

=head ##
Class Xpdf_test Inherits Test_common;
=cut ##

sub new {
    my $self  = Test_common->new();
    $self->{NAME} = "xpdf";
    $self->{DISPLAYNAME} = "Xpdf Tests";
    $self->{DESCRIPTION} = "LSB Application Battery Functional Tests for XPDF,"
        ." a PDF file viewer for X Window System.";
    $self->{FILES} .= " test1.pdf test2.pdf";
    $self->{PACKAGES} .= " lsb-xpdf";
    $self->{SOURCES} .= " appbat test_data";
    $self->{BETA_SOURCES} .= " appbat test_data";

    bless($self);
    return $self;
}

sub run {
    my $self = shift;
    
    unless ( -d "/tmp/lsb-packages" ) {
        cmd("mkdir -p /tmp/lsb-packages");
    }
    cmd ("cd /tmp/lsb-packages".
         " && ln -s -f \"$package_dir/app-battery/tests/test1.pdf\"".
         " && ln -s -f \"$package_dir/app-battery/tests/test2.pdf\""
        );
    
    Test_common::run($self);
}

sub journal {
    my $self = shift;
    
    store_journal_info(
        "Certification Tests/Automated Application Battery Tests/Xpdf Tests"
        , "xpdf", "$results_dir/test_journals/xpdf.simplejournal", $self);
}

1; # return value
